Subject: Re: [RFC] FEC patches

From: Greg Ungerer <[email-masked]>
Date: Fri, 16 Jan 2009 10:10:41 +1000

Hi Sascha,

Sascha Hauer wrote:
> On Thu, Jan 15, 2009 at 02:06:55PM +1000, Greg Ungerer wrote:
>> Hi Sacha,
>>
>> Sascha Hauer wrote:
>>> The following patches apply to the FEC driver (drivers/net/fec.c). While
>>> found on several Freescale/Motorola chips, this driver is currently only
>>> used for Coldfire. These patches add support for the ARM based i.MX27
>>> SoC.
>>>
>>> I'm almost sure I break the driver for some (all?) Coldfire guys, but I
>>> do not have any Coldfire based board to test the patches on.
>> I can test patches on most ColdFire boards.
>>
>>
>>> The first 4 patches should be ok as is, comments?
>> Only the one that I commented on with FEC_FLASHMAC.
>> Otherwise the first 4 apply and work for ColdFire.
>>
>>
>>> The other patches are somewhat work in progress, but they show which
>>> changes I need for my hardware.
>> Currently the change to use dma_alloc_coherent breaks ColdFire.
>> I need to debug that and see why that is the case.
>>
>> Otherwise they look ok to me.
>>
>>
>>> The driver could use quite some cleanup patches for coding style, turn
>>> it into a platform device driver and add exit functions. I'm sure I
>> Yes, it does badly need this. I have been meaning to extract
>> the ColdFire platform specifics for some time. That would improve
>> it quite a bit.
>>
> 
> My plan is to put the current static initialization code into some kind
> of #ifdef FEC_LEGACY and use a proper platform device driver otherwise.
> This would leave the code in place for now and it could be ported over
> to platform devices per platform. Is this ok for you?

Yeah, that is ok by me.

Regards
Greg

------------------------------------------------------------------------
Greg Ungerer  --  Principal Engineer        EMAIL:     [email-masked]
SnapGear, a McAfee Company                  PHONE:       +61 7 3435 2888
825 Stanley St,                             FAX:         +61 7 3891 3630
Woolloongabba, QLD, 4102, Australia         WEB: http://www.SnapGear.com